package javax.print.attribute.standard;

import javax.print.attribute.Attribute;
import java.util.Collection;
import javax.print.attribute.PrintJobAttribute;
import java.util.HashSet;

public final class JobStateReasons extends HashSet<JobStateReason> implements PrintJobAttribute
{
    private static final long serialVersionUID = 8849088261264331812L;
    
    public JobStateReasons() {
    }
    
    public JobStateReasons(int initialCapacity) {
        super(initialCapacity);
    }
    
    public JobStateReasons(int initialCapacity, float loadFactor) {
        super(initialCapacity, loadFactor);
    }
    
    public JobStateReasons(Collection<JobStateReason> c) {
        super(c);
    }
    
    @Override
    public boolean add(JobStateReason e) {
        if (e == null) {
            throw new NullPointerException();
        }
        return super.add(e);
    }
    
    @Override
    public final Class<? extends Attribute> getCategory() {
        return JobStateReasons.class;
    }
    
    @Override
    public final String getName() {
        return "job-state-reasons";
    }
}
